#!/usr/bin/python2.5

import idl.B

# A is still a partial module and shouldn't be an attribute of idl yet.
assert not hasattr(idl, 'A')

from idl import A

# A is now a full module and _should_ be an attribute of idl. This is
# automatically provided by the python's built-in behaviour.
assert hasattr(idl, 'A')

assert hasattr(idl, 'A')
assert hasattr(idl.B, 'b1')
assert hasattr(A, 'a1')

# If a2 is not available, A obviously wasn't properly loaded.
assert hasattr(A, 'a2')
